# octavia.volume.drivers package

## Subpackages

- octavia.volume.drivers.noop_driver package
  - Submodules
  - octavia.volume.drivers.noop_driver.driver module
    - `NoopManager`
      - `NoopManager.create_volume_from_image()`
      - `NoopManager.delete_volume()`
      - `NoopManager.get_image_from_volume()`
      - `NoopManager.validate_availability_zone()`
    - `NoopVolumeDriver`
      - `NoopVolumeDriver.create_volume_from_image()`
      - `NoopVolumeDriver.delete_volume()`
      - `NoopVolumeDriver.get_image_from_volume()`
      - `NoopVolumeDriver.validate_availability_zone()`
  - Module contents

## Submodules

## octavia.volume.drivers.cinder_driver module

class VolumeManager

  Bases: `VolumeBase`

  Volume implementation of virtual machines via cinder.

  create_volume_from_image(image_id, availability_zone=None)

    Create cinder volume

    Parameters:

      - image_id – ID of amphora image

      - availability_zone – Availability zone data dict

    :return volume id

  delete_volume(volume_id)

    Get glance image from volume

    Parameters:

      volume_id – ID of amphora boot volume

    :return image id

  get_image_from_volume(volume_id)

    Get glance image from volume

    Parameters:

      volume_id – ID of amphora boot volume

    :return image id

  validate_availability_zone(availability_zone)

    Validates that an availability zone exists in cinder.

    Parameters:

      availability_zone – Name of the availability zone to lookup.

    Raises:

      NotFound

    Returns:

      None

## Module contents

this page last updated: 2026-04-13 15:26:39

Except where otherwise noted, this document is licensed under Creative Commons Attribution 3.0 License. See all OpenStack Legal Documents.

found an error? report a bug